%define fedoratheme lxqt-themes-fedora-1.1
Name:           lxqt-themes
Version:        0.14.0
Release:        3%{?dist}
Summary:        LXQt standard themes

License:        LGPLv2+
URL:            https://lxqt.org/
Source0:        https://github.com/lxqt/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
# Pagure do not provide tarballs yet.
# To generate this tarball, clone from pagure
# https://pagure.io/lxqt-themes-fedora/
# Remove the .git dir and manual compress it
Source1:        %{fedoratheme}.tar.xz

BuildArch:      noarch

BuildRequires:  lxqt-build-tools >= 0.6.0
BuildRequires:  pkgconfig(lxqt) >= 0.14.0
%if 0%{?el7}
BuildRequires:  cmake3
BuildRequires:  cmake3-data
BuildRequires:  devtoolset-7-gcc-c++
%endif

Requires:       hicolor-icon-theme
Requires:       breeze-icon-theme
%if 0%{?fedora}
Requires:       fedora-logos
Requires:       desktop-backgrounds-compat
Requires:       breeze-cursor-themes
%endif
%if 0%{?el7}
Requires:       breeze-icon-theme-rcc
%endif

# The themes were essential part of the previous lxqt-common package which
# no longer exists. Therefore we obsolete and provide it here:
Provides:       lxqt-common = %{version}-%{release}
Obsoletes:      lxqt-common < 0.12.0
# The old name for the theme subpackage was lxqt-theme
Provides:       lxqt-theme = %{version}-%{release}
Obsoletes:      lxqt-theme < 0.12.0

%description
This package contains the standard themes for the LXQt desktop, namely
ambiance, dark, frost, kde-plasma, light and system.

%package fedora
Summary: Default Fedora theme for LXQt
Requires: lxqt-theme = %{version}
Requires: breeze-icon-theme
%if 0%{?fedora}
Requires: breeze-cursor-theme
Requires: plasma-breeze
%endif
%if 0%{?el7}
Requires:       breeze-icon-theme-rcc
%endif

# Obsolete and provide the old subpackage of lxqt-common
Provides:       lxqt-theme-fedora = %{version}-%{release}
Obsoletes:      lxqt-theme-fedora < %{version}-%{release}

%description fedora
%{summary}.

%prep
%autosetup
%setup -b 1

%build
%if 0%{?el7}
scl enable devtoolset-7 - <<\EOF
%endif

mkdir -p %{_target_platform}
pushd %{_target_platform}
#    %%{cmake_lxqt} -DPULL_TRANSLATIONS=NO ..
     %{cmake} ..
%if 0%{?el7}
cmake3 ..
%endif
popd
make %{?_smp_mflags} -C %{_target_platform}


pushd %{_builddir}/%{fedoratheme}
tar Jxf %{SOURCE1}
mkdir -p %{_target_platform}
pushd %{_target_platform}
     %{cmake} ..
%if 0%{?el7}
cmake3 ..
%endif
popd
popd

%if 0%{?el7}
EOF
%endif

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
pushd %{_builddir}/%{fedoratheme}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
popd

%if 0%{?el7}
mv %{buildroot}%{_prefix}/local/share/* %{buildroot}%{_datadir}
rmdir %{buildroot}%{_prefix}/local/share
rmdir %{buildroot}%{_prefix}/local
%endif

%files
%license COPYING
%doc AUTHORS CHANGELOG README.md
%{_datadir}/lxqt/graphics
%dir %{_datadir}/lxqt/themes
%{_datadir}/lxqt/themes/ambiance
%{_datadir}/lxqt/themes/dark
%{_datadir}/lxqt/themes/frost
%{_datadir}/lxqt/themes/kde-plasma
%{_datadir}/lxqt/themes/light
%{_datadir}/lxqt/themes/system
%{_datadir}/icons/hicolor/scalable/places/start-here-lxqt.svg
%{_datadir}/icons/hicolor/scalable/apps/lxqt.svg

%files fedora
%{_datadir}/sddm/themes/02-lxqt-fedora/
%{_datadir}/lxqt/themes/Fedora

%changelog
* Fri Sep 20 2019 Zamir SUN <zsun@fedoraproject.org>  - 0.14.0-3
- Fix soft link to make lxqt-themes-fedora work in CentOS as well

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Feb 13 2019 Zamir SUN <zsun@fedoraproject.org>  - 0.14.0-1
- Prepare for LXQt 0.14.0

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Sep 03 2018 Zamir SUN <zsun@fedoraproject.org> - 0.13.0-5
- Obsolete and provide the old subpackage of lxqt-common
- Fixes RHBZ 1624739

* Sun Aug 26 2018 Zamir SUN <zsun@fedoraproject.org> - 0.13.0-4
- Merge lxqt-themes-fedora into lxqt-themes

* Fri Aug 24 2018 Zamir SUN <zsun@fedoraproject.org> - 0.13.0-3
- Bump for package review

* Sun Jun 03 2018 Christian Dersch <lupinix@mailbox.org> - 0.13.0-2
- add requirements for the themes

* Sun Jun  3 2018 Christian Dersch <lupinix@mailbox.org> - 0.13.0-1
- initial package

